commit:     912172aaec74736506730d88ab2e69b107234ee2
Author:     Tim Harder <radhermit <AT> gentoo <DOT> org>
AuthorDate: Wed Dec 27 06:54:48 2017 +0000
Commit:     Tim Harder <radhermit <AT> gentoo <DOT> org>
CommitDate: Wed Dec 27 06:58:01 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=912172aa

media-gfx/pqiv: version bump to 2.10.2

 media-gfx/pqiv/Manifest           |  1 +
 media-gfx/pqiv/pqiv-2.10.2.ebuild | 79 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 80 insertions(+)

diff --git a/media-gfx/pqiv/Manifest b/media-gfx/pqiv/Manifest
index 4ff0aa2879f..fa8d1af73de 100644
--- a/media-gfx/pqiv/Manifest
+++ b/media-gfx/pqiv/Manifest
@@ -1,2 +1,3 @@
 DIST pqiv-2.10.1.tar.gz 138129 BLAKE2B 
46503e6012854562d1ff1bbf43d218dbdc6f9e7000c8625de73a708061a6c1678622b48270c73b3a16fff2fdac60bf5097376dfd0a6f5c7c2e36611aed8bd3cc
 SHA512 
9850f6693e7fd2942d105736a7d6a274388875770e194ac6bd8a5a8291db8fec1ee3a0262f911f2b8e5d115aa11d520c44d80cc8218e2c87d6935dea4dfcb97e
+DIST pqiv-2.10.2.tar.gz 138506 BLAKE2B 
255104acec9d42eac52d8aaf05207fc8071ecbef14a04c5952e70347d0cd83b54b00725b9bb949184bcd9437982701814b6a09c4c2397336f26ce9f50896d2e6
 SHA512 
99cb3a187fa2cc0df7b7f768b2f801fbec78aa8d76aacd12085f3b8ccbfaf931a2379e7b05a92f83dacf511489518a75f9e5bf528e4152158d8bb75cffb0d6f7
 DIST pqiv-2.9.tar.gz 133823 BLAKE2B 
a43c5323c47c10a94f83e8ed065e26212bf023f483cbc0e2160fe7789a55a043bb5912ed62306a15193edeb7ffca0450619799843101c41246ce867da3ffe6e3
 SHA512 
0a509d5d4b41682f86f4b813d63f3f7f8f3977ede0b8b1649a2adc188ed83923147b8bb741ba7f85b4c1dd7a9612fca3fec44169364042be4db44ef53d813ab7

diff --git a/media-gfx/pqiv/pqiv-2.10.2.ebuild 
b/media-gfx/pqiv/pqiv-2.10.2.ebuild
new file mode 100644
index 00000000000..68f38714121
--- /dev/null
+++ b/media-gfx/pqiv/pqiv-2.10.2.ebuild
@@ -0,0 +1,79 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit linux-info toolchain-funcs xdg-utils
+
+if [[ ${PV} == 9999 ]]; then
+       EGIT_REPO_URI="https://github.com/phillipberndt/pqiv.git";
+       inherit git-r3
+else
+       SRC_URI="https://github.com/phillipberndt/pqiv/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+       KEYWORDS="~amd64 ~x86"
+fi
+
+DESCRIPTION="powerful GTK 3 based command-line image viewer with a minimal UI"
+HOMEPAGE="https://github.com/phillipberndt/pqiv 
http://www.pberndt.com/Programme/Linux/pqiv/";
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="archive ffmpeg imagemagick kernel_linux libav pdf postscript webp"
+
+RDEPEND="
+       >=dev-libs/glib-2.32:2
+       >=x11-libs/cairo-1.6
+       x11-libs/gtk+:3
+       archive? ( app-arch/libarchive:0= )
+       ffmpeg? (
+               !libav? ( media-video/ffmpeg:0= )
+               libav? ( media-video/libav:0= )
+       )
+       imagemagick? ( media-gfx/imagemagick:0= )
+       pdf? ( app-text/poppler:0= )
+       postscript? ( app-text/libspectre:0= )
+       webp? ( media-libs/libwebp:0= )
+"
+DEPEND="${RDEPEND}
+       virtual/pkgconfig"
+
+doecho() {
+       echo "$@"
+       "$@" || die
+}
+
+pkg_setup() {
+       if use kernel_linux; then
+               CONFIG_CHECK="~INOTIFY_USER"
+               linux-info_pkg_setup
+       fi
+}
+
+src_configure() {
+       local backends="gdkpixbuf"
+       use archive && backends+=",archive,archive_cbx"
+       use ffmpeg || use libav && backends+=",libav"
+       use imagemagick && backends+=",wand"
+       use pdf && backends+=",poppler"
+       use postscript && backends+=",spectre"
+       use webp && backends+=",webp"
+
+       doecho ./configure \
+               --backends-build=shared \
+               --backends=${backends} \
+               --prefix="${EPREFIX}/usr" \
+               --libdir="${EPREFIX}/usr/$(get_libdir)" \
+               --destdir="${ED}"
+}
+
+src_compile() {
+       tc-export CC
+       emake VERBOSE=1 CFLAGS="${CFLAGS}"
+}
+
+pkg_postinst() {
+       xdg_desktop_database_update
+}
+
+pkg_postrm() {
+       xdg_desktop_database_update
+}

Reply via email to